javax.xml.ws.handler

## Interface LogicalMessageContext

All Superinterfaces:
  Map<String,Object>, MessageContext

    public interface LogicalMessageContext
    extends MessageContext

The `LogicalMessageContext` interface extends `MessageContext` to provide access to a the contained message as a protocol neutral LogicalMessage

Since:
  JAX-WS 2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.xml.ws.handler.MessageContext

`MessageContext.Scope`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Field Summary

### Fields inherited from interface javax.xml.ws.handler.MessageContext

`HTTP_REQUEST_HEADERS, HTTP_REQUEST_METHOD, HTTP_RESPONSE_CODE, HTTP_RESPONSE_HEADERS, INBOUND_MESSAGE_ATTACHMENTS, MESSAGE_OUTBOUND_PROPERTY, OUTBOUND_MESSAGE_ATTACHMENTS, PATH_INFO, QUERY_STRING, REFERENCE_PARAMETERS, SERVLET_CONTEXT, SERVLET_REQUEST, SERVLET_RESPONSE, WSDL_DESCRIPTION, WSDL_INTERFACE, WSDL_OPERATION, WSDL_PORT, WSDL_SERVICE`

### Method Summary

All Methods Instance Methods Abstract Methods
`LogicalMessage` `getMessage()` Gets the message from this message context

### Methods inherited from interface javax.xml.ws.handler.MessageContext

`getScope, setScope`

### Methods inherited from interface java.util.Map

`clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Method Detail

#### getMessage

    LogicalMessage getMessage()

Gets the message from this message context

Returns:
  The contained message; returns `null` if no message is present in this message context